import { gql } from "@apollo/client";

export const MARK_MESSAGES_AS_READ_BY_CONVERSATION = gql`
  mutation MARK_MESSAGES_AS_READ_BY_CONVERSATION($conversationId: uuid) {
    update_messages(where: { conversationid: { _eq: $conversationId } }, _set: { read: true }) {
      returning {
        id
        read
        isoutbound
      }
    }
  }
`;
